דלג לתוכן הראשי
GET
/
channels
/
health
/
problems
curl -g "https://YOUR_PROJECT.texterchat.com/server/api/v2/channels/health/problems" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "total": 1,
  "problems": [
    {
      "_id": "68be7a16475a76a869de5987",
      "accountId": "972509876543",
      "channel": "whatsapp",
      "createdAt": 1757313558371,
      "impairedFunctionality": {
        "send": false,
        "receive": false
      },
      "message": "WhatsApp app ID is not set",
      "name": "whatsapp_app_id_error",
      "severity": "error"
    }
  ]
}

הרשאות

Authorization
string
header
נדרש

API token generated in Texter: gear icon → Developers → API Tokens. When creating a token, assign it the scopes required by the endpoints you plan to call - each endpoint lists its required scopes.

פרמטרי שאילתה

includeResolved
enum<string>

Also include already-resolved problem records

אפשרויות זמינות:
true,
false
severity
enum<string>

Filter by problem severity

אפשרויות זמינות:
warning,
error
accountId
string

Affected channel account ID

channel
enum<string>

Channel type name

אפשרויות זמינות:
whatsapp,
messenger,
instagram,
website_chat,
email
skip
string

How many results to skip

limit
string

Maximum results to return

תגובה

The matching problems and total count. Field-by-field reference: The Problem object

total
number
problems
object[]